Name:           DirectFB
Version:        0.9.25.1
Release:        3
Summary:        Graphics abstraction library for the Linux Framebuffer Device
Group:          Libraries
License:        GPL
URL:            http://www.directfb.org/
Source:         http://www.directfb.org/download/DirectFB/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libpng-devel zlib-devel libjpeg-devel freetype-devel SDL-devel sysfsutils-devel

%description
DirectFB is a thin library that provides hardware graphics acceleration,
input device handling and abstraction, integrated windowing system with
support for translucent windows and multiple display layers on top of the
Linux Framebuffer Device.

It is a complete hardware abstraction layer with software fallbacks for
every graphics operation that is not supported by the underlying hardware.
DirectFB adds graphical power to embedded systems and sets a new standard
for graphics under Linux.

%package        devel
Summary:        Development package for %{name}
Group:          Development

%description    devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%prep
%setup -q

%build
%configure \
	--disable-sse \
	--disable-mmx \
	--disable-maintainer-mode \
	--enable-shared \
	--disable-static \
	--enable-fast-install \
	--disable-avifile \
	--disable-debug \
	--with-gfxdrivers=all \
	--with-inputdrivers=all

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/include; ln -sf directfb/*.h .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog NEWS README TODO
%{_libdir}/directf*
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_datadir}
%{_bindir}
%{_mandir}

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig
%{_includedir}
